=== src/externals/CMakeLists.txt ===

add_subdirectory(utils)
