=== debian/changelog ===
gfal2 (2.3.0-4) unstable; urgency=low

  * Adapt to new davix (patch from upstream svn)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 02 Dec 2013 05:47:29 +0100

gfal2 (2.3.0-3) unstable; urgency=low

  * Fix non-pointer dereference that cause segmentation fault

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 27 Sep 2013 15:43:22 +0200

gfal2 (2.3.0-2) unstable; urgency=low

  * Remove binary files in source tarball

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 20 Aug 2013 09:11:13 +0200

gfal2 (2.3.0-1) unstable; urgency=low

  * New upstream release
  * New binary package gfal2-plugin-http

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 09 Aug 2013 20:49:23 +0200
